/*-
 * ~~~~~~licensing~~~~~~
 * cellar-deployer
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.platform.core.artifact.legacy;

public interface BundleController {

    String installAndStartBundle(String bundleUrl, String bundleName) throws Exception;

    void installBundle(String bundleUrl) throws Exception;
    
    String stopBundle(String bundleName) throws Exception;

    String updateBundle(String bundleName) throws Exception;

    String startBundle(String bundleName) throws Exception;

    void uninstallBundle(String bundleName) throws Exception;
}
