/*-
 * ~~~~~~licensing~~~~~~
 * profile-management
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.core.management.profile;

import ru.entaxy.esb.platform.base.management.core.Qualifier;

public interface RoutesMBean {

	public static interface Helper {
		public static Qualifier getQualifier(String profileName) {
			return ProfileMBean.Helper
					.getQualifier(profileName)
					.qualifier(ROUTES_KEY, ROUTES_KEY_VALUE);
		}
		
	}
	
	public static final String ROUTES_KEY = "section";
	public static final String ROUTES_KEY_VALUE = "routes";
	
}
