/*-
 * ~~~~~~licensing~~~~~~
 * profile-management
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.core.management.profile.api;

import java.util.Map;

public interface ConnectorManager {

	public void addConnector(String idOrName, String connectorFactoryId, Map<String, String> paramaters) throws Exception;
	
	public void removeConnector(String idOrName, String connectorName) throws Exception;
	
	public void startConnector(String idOrName, String connectorName) throws Exception;
	
	public void stopConnector(String idOrName, String connectorName) throws Exception;
	
}
