/*-
 * ~~~~~~licensing~~~~~~
 * events-handler
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.core.events.handler.util;

import com.google.gson.reflect.TypeToken;
import ru.entaxy.esb.system.core.events.jpa.entity.SystemSubscription;

import java.util.ArrayList;

public class EventHelper {

    public static final String CONSUMER_NAME = "consumer";

    public String getClientId(SystemSubscription subscription) {
        return subscription.getSystem().getName() + "_" + subscription.getEventTopic().getName();
    }

    public static java.lang.reflect.Type getType() {
        return new TypeToken<ArrayList<SystemSubscription>>() {
        }.getType();
    }
}
