/*-
 * ~~~~~~licensing~~~~~~
 * permission-common
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.core.permission.common;

public class PermissionConstants {

    public static final String ACTION_CREATE = "create";
    public static final String ACTION_READ = "read";
    public static final String ACTION_UPDATE = "update";
    public static final String ACTION_DELETE = "delete";
    public static final String ACTION_CONNECT = "connect";
    public static final String ACTION_SEND = "send";
    public static final String ACTION_RECEIVE = "receive";
    public static final String ACTION_OCCUPY = "occupy";
    public static final String ACTION_PUBLISH = "publish";
    public static final String ACTION_SUBSCRIBE = "subscribe";
    public static final String ACTION_DEFAULT = "default";
    public static final String ACTION_MANAGE = "manage";

    public static final String TYPE_SYSTEM = "system";
    public static final String TYPE_SYSTEM_GROUP = "system-group";
    public static final String TYPE_SERVICE = "service";
    public static final String TYPE_ACCOUNT = "account";
    public static final String TYPE_EVENT_TOPIC = "event-topic";

    private PermissionConstants() {
    }
}
