/*-
 * ~~~~~~licensing~~~~~~
 * permission-component
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.core.permission.component.util;

public class PermissionComponentConstants {

    public static final String OPERATION_CHECK = "check";
    public static final String OPERATION_CHECK_EXCEPTION = "checkException";
    public static final String OPERATION_CHECK_SYSTEM_ACCESS = "checkSystemAccess";
    public static final String OPERATION_CHECK_SYSTEM_ACCESS_EXCEPTION = "checkSystemAccessException";
    public static final String OPERATION_GET = "get";
    public static final String OPERATION_GET_BY_ALL_PARAM = "getByAllParams";
    public static final String OPERATION_CREATE = "create";
    public static final String OPERATION_UPDATE = "update";
    public static final String OPERATION_DELETE = "delete";

    private PermissionComponentConstants() {
    }
}
