/*-
 * ~~~~~~licensing~~~~~~
 * generator-api
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.base.generator.template;

import java.util.List;

public interface TemplateService {

	public static final String TEMPLATE_PROVIDER_HEADER = "Entaxy-Template-Provider";
	
	public static final String PROP_ID = "template.id";
	public static final String PROP_TYPE = "template.type";
	public static final String PROP_NAME = "template.name";
	public static final String PROP_DESCRIPTION = "template.description";
	
	public List<Template> getAllTemplates();
	public Template getTemplateById(String id);
	
}
