# Для использования wsdl, xsd и xsl, которые загружены в шину, необходимо:

**wsdl**
- для использования cxf необходимо подключить "xmlns:cxf="http://cxf.apache.org/blueprint/core"" данный
namespace и подключить к bus, используемый в cxf:

имя cxf необходимо сохранить, в связи с дублированием bus в context
<cxf:bus id="cxf" name="cxf" bus="cxf">
    <cxf:features>
       <cxf:logging/>
    </cxf:features>
</cxf:bus>
также нужно подключить кастомный резолвер для корректного разрешения зависимостей(xsd, wsdl, загруженных ранее в шину)
предварительно мделать импорт пакетов в бандл: ru.entaxy.esb.integration.common.soap
<reference id="cxfDBResourceResolver" interface="org.apache.cxf.resource.ResourceResolver"/>

<bean id="resolver" class="DBResolverSettings" init-method="init">
    <property name="bus" ref="cxf"/>
    <property name="cxfDBResourceResolver" ref="cxfDBResourceResolver"/>
</bean>


**xslt**
- для использования xslt преобразования необходимо:
<reference id="xslUrlResolver" interface="javax.xml.transform.URIResolver"/>
и дополнительно прописать, при вызове самого компонента:
<to uri="xslt:lama.xsl?uriResolver=#xslUrlResolver"/>


**xsd**
- для использования xsd валидации был разработан отдельный компонент с дополнительными возможностями: динамическим
определением namespace и поиск необходимой xsd в базе данных: (более подробно можно почитать в system/registry/schema/schema-component/README.md)
<to uri="validatorWithDBStorage:namespace:http://www.entaxy.ru/registry-scheme-service/"/>