/*-
 * ~~~~~~licensing~~~~~~
 * system-group-profile-collector
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.groups.registry.system.groups.profile.collector;

import ru.entaxy.esb.system.common.osgi.impl.CommonNamedReferenceListener;
import ru.entaxy.esb.system.groups.registry.system.groups.profile.SystemGroupCollectorListener;
import ru.entaxy.esb.system.groups.registry.system.groups.profile.SystemGroupProfile;

public class SystemGroupProfileNamedListener extends CommonNamedReferenceListener<SystemGroupProfile>
        implements SystemGroupCollectorListener<SystemGroupProfile> {

    @Override
    protected String getObjectName(SystemGroupProfile systemGroupProfile) {
        return systemGroupProfile.getProfileName();
    }
}
