/*-
 * ~~~~~~licensing~~~~~~
 * system-profile-impl-default
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.registry.systems.profile.impl.defaults;

import org.apache.camel.Exchange;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import ru.entaxy.esb.system.profile.commons.CommonProfile;
import ru.entaxy.esb.system.registry.systems.profile.SystemProfile;

public class DefaultSystemProfile extends CommonProfile implements SystemProfile {

    private static final Log LOG = LogFactory.getLog(DefaultSystemProfile.class);

    public DefaultSystemProfile() {
    }

    @Override
    protected void doSend(Object request) {
        profileOutput.send((Exchange) request);
    }
}
